lzma_index_s Struct Reference

## Data Fields

index_tree | streams
lzma_vli | uncompressed_size
| Uncompressed size of all the Blocks in the Stream(s) More...
lzma_vli | total_size
| Total size of all the Blocks in the Stream(s) More...
lzma_vli | record_count
| Total number of Records in all Streams in this lzma_index. More...
lzma_vli | index_list_size
size_t | prealloc
uint32_t | checks

## Field Documentation

## streams

index_tree lzma_index_s::streams

AVL-tree containing the Stream(s). Often there is just one Stream, but using a tree keeps lookups fast even when there are many concatenated Streams.

## uncompressed_size

lzma_vli lzma_index_s::uncompressed_size

Uncompressed size of all the Blocks in the Stream(s)

## total_size

lzma_vli lzma_index_s::total_size

Total size of all the Blocks in the Stream(s)

## record_count

lzma_vli lzma_index_s::record_count

Total number of Records in all Streams in this lzma_index.

Referenced by lzma_index_padding_size().

## index_list_size

lzma_vli lzma_index_s::index_list_size

Size of the List of Records field if all the Streams in this lzma_index were packed into a single Stream (makes it simpler to take many .xz files and combine them into a single Stream).

This value together with record_count is needed to calculate Backward Size that is stored into Stream Footer.

Referenced by lzma_index_padding_size().

## prealloc

size_t lzma_index_s::prealloc

How many Records to allocate at once in lzma_index_append(). This defaults to INDEX_GROUP_SIZE but can be overridden with lzma_index_prealloc().

Referenced by lzma_index_prealloc().

## checks

uint32_t lzma_index_s::checks

Bitmask indicating what integrity check types have been used as set by lzma_index_stream_flags(). The bit of the last Stream is not included here, since it is possible to change it by calling lzma_index_stream_flags() again.

The documentation for this struct was generated from the following file:

- liblzma/common/index.c